[android-components](../../index.md) / [mozilla.components.concept.sync](../index.md) / [AuthException](./index.md)

# AuthException

`class AuthException : `[`Throwable`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-throwable/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/concept/sync/src/main/java/mozilla/components/concept/sync/OAuthAccount.kt#L21)

An exception which may happen while obtaining auth information using [OAuthAccount](../-o-auth-account/index.md).

### Constructors

| Name | Summary |
|---|---|
| [&lt;init&gt;](-init-.md) | `AuthException(type: `[`AuthExceptionType`](../-auth-exception-type/index.md)`, cause: `[`Exception`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-exception/index.html)`? = null)`<br>An exception which may happen while obtaining auth information using [OAuthAccount](../-o-auth-account/index.md). |
